Page MenuHomePhabricator

Deploy InternetArchiveBot on the Czech Wikipedia (cswiki)
Closed, ResolvedPublic

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptNov 6 2017, 6:38 PM
Cyberpower678 triaged this task as High priority.Nov 6 2017, 6:55 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.

@Urbanecm Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 6 2018, 5:56 PM

Translations:

  • Externí odkazy byly změněny ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Dobrý den,\n\nprávě jsem se pokusil opravit {linksrescued} externí odkazy na stránce [[{namespacepage}]]. Prosím, zkontrolujte [{diff} moje editace]. Pokud máte nějaké otázky, potřebujete, aby jsem tyto odkazy nebo dokonce celou tuto stránku ignoroval, prosím vizte [[:m:InternetArchiveBot/FAQ|seznam často kladených otázek]] pro další informaci. Provedl jsem následující změny:\n{modifiedlinks}. Udělal-li jsem chybu, vizte seznam často kladených otázek.\n\nCheers.
  • Externí odkazy vyžadující opravu ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Problémy při opravě odkazů v článku ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • Odkaz {link} nefunguje. Doporučuji k původní URL přidat {newarchive}.
  • Odkaz {link} nefunguje. Archiv nebyl nalezen.
  • Odkaz {link} je označen jako nefunkční, zřejmě ale funguje. Doporučuji odebrat z URL příznak mrtvá adresa.
  • Přidán odkaz na {newarchive} do {link}
  • Nahrazen odkaz na archiv {oldarchive} s odkazem {newarchive} u {link}
  • Opraveno formátování u {link}
  • Přidán tag {{tlx|dead link}} k {link}
  • Odebrán příznak mrtvé adresy z {link}
  • Změněný zdroj pro {link}
  • {problem} s chybou {error}
  • Opravuji {linksrescued} zdrojů and označuji {linkstagged} zdrojů jako nefunkční
  • Upozornění na chybu vzniklou při pokusu o přístup k archivu
  • Upozornění na upravené zdroje vyžadující kontrolu

Ad questions

  1. What is it?
  2. Dead link = https://cs.wikipedia.org/wiki/%C5%A0ablona:Nedostupn%C3%BD_zdroj, archive = doesn't exist
  3. Templates in https://cs.wikipedia.org/wiki/Kategorie:%C5%A0ablony:Cita%C4%8Dn%C3%AD are used for citing. https://cs.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json is map used by Citoid service. Do you need some specific information?
  4. If in citation templates, it's YYYY-MM-DD.
Vachovec1 added a subscriber: Vachovec1.EditedJun 6 2018, 7:38 PM

Hello.

I have some answers for your questions:

The bot approval page for cs-wiki is here: Wikipedie:Bot/Žádosti.Our rules are lenient, but in this case, you will be almost certainly asked for a number of test edits (50-100) to be checked by local bureaucrat.

Talk page messages: needs to be consulted, but probably yes.

Dead link template: Šablona:Nedostupný zdroj

Archive template (for Internet Archive external links) : Šablona:Wayback

The archiving should be supported in form of dedicated fields in the cite template ( via Modul:Citace), but this function is unfortunately not documented in the template documentation(s). However, the module defines function p.citUrlInnerFn, which deals with archive parameters: url archivu (=archiveurl), datum archivace (=archivedate), nedostupné/deadurl (is ne/no for dead URLs). You should consult the module author (User:Jvs) for more exact information(s).

Our cite templates are in this category: Kategorie:Šablony:Citační. They were recently modified to use a basal module (already mentioned above: Modul:Citace).

Following cite templates are most common:

Citace monografie = Cite book
Citace periodika = Cite news (used for paper newspaper/journal)
Citace elektronické monografie = Cite web (used for webpage, which is NOT a periodic newspaper/journal)
Citace elektronického periodika = Cite web (used for electronic newspaper/journal)
Citace sborníku = Cite edited collection
Citace kvalifikační práce = Cite thesis

Time formatting: in plain text, we use almost exclusively DD-MM-YYYY format. But in cite templates, YYYY-MM-DD format is expected for some fields (e.g. datum přístupu/accessdate).

Translations:

  • Externí odkazy byly změněny ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Dobrý den,\n\nprávě jsem se pokusil opravit {linksrescued} externí odkazy na stránce [[{namespacepage}]]. Prosím, zkontrolujte [{diff} moje editace]. Pokud máte nějaké otázky, potřebujete, aby jsem tyto odkazy nebo dokonce celou tuto stránku ignoroval, prosím vizte [[:m:InternetArchiveBot/FAQ|seznam často kladených otázek]] pro další informaci. Provedl jsem následující změny:\n{modifiedlinks}. Udělal-li jsem chybu, vizte seznam často kladených otázek.\n\nCheers.
  • Externí odkazy vyžadující opravu ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Problémy při opravě odkazů v článku ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • Odkaz {link} nefunguje. Doporučuji k původní URL přidat {newarchive}.
  • Odkaz {link} nefunguje. Archiv nebyl nalezen.
  • Odkaz {link} je označen jako nefunkční, zřejmě ale funguje. Doporučuji odebrat z URL příznak mrtvá adresa.
  • Přidán odkaz na {newarchive} do {link}
  • Nahrazen odkaz na archiv {oldarchive} s odkazem {newarchive} u {link}
  • Opraveno formátování u {link}
  • Přidán tag {{tlx|dead link}} k {link}
  • Odebrán příznak mrtvé adresy z {link}
  • Změněný zdroj pro {link}
  • {problem} s chybou {error}
  • Opravuji {linksrescued} zdrojů and označuji {linkstagged} zdrojů jako nefunkční
  • Upozornění na chybu vzniklou při pokusu o přístup k archivu
  • Upozornění na upravené zdroje vyžadující kontrolu

Ad questions

  1. What is it?
  2. Dead link = https://cs.wikipedia.org/wiki/%C5%A0ablona:Nedostupn%C3%BD_zdroj, archive = doesn't exist
  3. Templates in https://cs.wikipedia.org/wiki/Kategorie:%C5%A0ablony:Cita%C4%8Dn%C3%AD are used for citing. https://cs.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json is map used by Citoid service. Do you need some specific information?
  4. If in citation templates, it's YYYY-MM-DD.

Thanks. It appears though that bullets 4 and 6 are still in English. :-)

Translations:

  • Externí odkazy byly změněny ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Dobrý den,\n\nprávě jsem se pokusil opravit {linksrescued} externí odkazy na stránce [[{namespacepage}]]. Prosím, zkontrolujte [{diff} moje editace]. Pokud máte nějaké otázky, potřebujete, aby jsem tyto odkazy nebo dokonce celou tuto stránku ignoroval, prosím vizte [[:m:InternetArchiveBot/FAQ|seznam často kladených otázek]] pro další informaci. Provedl jsem následující změny:\n{modifiedlinks}. Udělal-li jsem chybu, vizte seznam často kladených otázek.\n\nCheers.
  • Externí odkazy vyžadující opravu ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Problémy při opravě odkazů v článku ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • Odkaz {link} nefunguje. Doporučuji k původní URL přidat {newarchive}.
  • Odkaz {link} nefunguje. Archiv nebyl nalezen.
  • Odkaz {link} je označen jako nefunkční, zřejmě ale funguje. Doporučuji odebrat z URL příznak mrtvá adresa.
  • Přidán odkaz na {newarchive} do {link}
  • Nahrazen odkaz na archiv {oldarchive} s odkazem {newarchive} u {link}
  • Opraveno formátování u {link}
  • Přidán tag {{tlx|dead link}} k {link}
  • Odebrán příznak mrtvé adresy z {link}
  • Změněný zdroj pro {link}
  • {problem} s chybou {error}
  • Opravuji {linksrescued} zdrojů and označuji {linkstagged} zdrojů jako nefunkční
  • Upozornění na chybu vzniklou při pokusu o přístup k archivu
  • Upozornění na upravené zdroje vyžadující kontrolu

Ad questions

  1. What is it?
  2. Dead link = https://cs.wikipedia.org/wiki/%C5%A0ablona:Nedostupn%C3%BD_zdroj, archive = doesn't exist
  3. Templates in https://cs.wikipedia.org/wiki/Kategorie:%C5%A0ablony:Cita%C4%8Dn%C3%AD are used for citing. https://cs.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json is map used by Citoid service. Do you need some specific information?
  4. If in citation templates, it's YYYY-MM-DD.

Thanks. It appears though that bullets 4 and 6 are still in English. :-)

Gramatically corrected bullet #2 (corrections are highlighted):

  • Dobrý den,\n\nprávě jsem se pokusil opravit {linksrescued} externí odkazy na stránce [[{namespacepage}]]. Prosím, zkontrolujte [{diff} moje editace]. Pokud máte nějaké otázky, potřebujete, abych tyto odkazy nebo dokonce celou tuto stránku ignoroval, prosím vizte [[:m:InternetArchiveBot/FAQ|seznam často kladených otázek]] pro další informaci. Provedl jsem následující změny:\n{modifiedlinks}. Udělal-li jsem chybu, vizte seznam často kladených otázek.\n\nDěkuji.

Bullet #4:

  • Dobrý den, vážení editoři, \n\nna stránce [[{namespacepage}]] jsem nalezl jeden nebo více externích odkazů, které vyžadují Vaši pozornost. Prosím, najděte si chvilku a příslušné odkazy zkontrolujte, a bude-li to nutné, v článku je opravte. Nalezl jsem následující problémy: \n{modifiedlinks}\nMůžete též navštívit [[:m:InternetArchiveBot/FAQ|seznam často kladených otázek]], kde naleznete rady, jak problémy s výše zmíněnými URL opravit. \n\nTato zpráva se zobrazuje pro výše zmíněná URL pouze jednou. \n\nDěkuji.

Bullet #6:

  • Dobrý den. Během archivačního procesu vrátil archiv chybu pro jeden nebo více odkazů, které jsem předložil k archivaci. \nNíže vypisuji adresy, které vrátily chybu, i s příslušnými chybovými hláškami. \n\n{problematiclinks}\nToto je jediná zpráva v souvislosti s těmito odkazy, žádný další pokus o jejich archivaci nebude činěn. \n\nDěkuji.

Regards.

I've approved your request.

Cyberpower678 closed this task as Resolved.Aug 21 2018, 3:57 AM